# $Revision: 1.11 $, $Date: 2004/01/04 22:39:06 $
Summary:	Common netFluid Technology Function Set
Summary(pl):	Wsplny zestaw funkcji netFluid Technology
Name:		phlib
Version:	1.20
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://www.nfluid.com/download/src/%{name}-%{version}.tgz
# Source0-md5:	521c93a461a58ab808187abbc54a39a7
Patch0:		%{name}-soname.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
phlib provides the core function set used by netFluid Technology. It
provides such things as a universal double linked list, very efficient
constant memory string parsing and building, fixed memory relocatable.

%description -l pl
phlib udostpnia podstawowy zestaw funkcji wykorzystywanych przez
netFluid Technology. Udostpnia takie rzeczy jak uniwersalne podwjne
listy, bardzo efektywn analiz skadniow i tworzenie acuchw w
pamici, sta relokacj pamici.

%package devel
Summary:	Common netFluid Technology Function Set - development files
Summary(pl):	Wsplny zestaw funkcji netFluid Technology - pliki dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development files for phlib.

%description devel -l pl
Pliki dla programistw do phlib.

%package static
Summary:	Common netFluid Technology Function Set - static libraries
Summary(pl):	Wsplny zestaw funkcji netFluid Technology - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
phlib static libraries.

%description static -l pl
Statyczne biblioteki phlib.

%prep
%setup -q
%patch -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
CFLAGS="%{rpmcflags} -fPIC"
%configure \
	cflags=our
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpxtra.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpxtra.so
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpxtra.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phlib.spec,v $
Revision 1.11  2004/01/04 22:39:06  undefine
- release 2

Revision 1.10  2003/12/27 19:52:58  undefine
- copy config.sub from am to allow build on amd64

Revision 1.9  2003/12/05 18:08:35  undefine
- update to 1.20

Revision 1.8  2003/10/14 09:00:30  qboosh
- pl fix: don't translate part of company name

Revision 1.7  2003/10/14 08:57:15  qboosh
- added soname patch, forced to use our optflags, added ldconfig

Revision 1.6  2003/09/09 12:01:01  undefine
- add %dir %{_includedir}/%{name} do devel subpackage

Revision 1.5  2003/09/08 23:49:21  undefine
- release 1

Revision 1.4  2003/09/08 12:49:29  ankry
- some pl cosmetics

Revision 1.3  2003/09/08 12:07:42  undefine
- move *.so files to phlib subpackage

Revision 1.2  2003/09/08 11:59:36  undefine
- +x on _libdir/*.so.*

Revision 1.1  2003/09/08 11:16:50  undefine
- initital pld version based on built spec

* Tue Jan 26 2003 Chris Smith <chris@nfluid.com> 1.1.18
- New Release
